function MapExtension.Menu.Options.Init(parent)
	MapExtension.Menu.Options.window = MapExtension.GUI.CreateFrame(parent, "CENTER", 12, -65, 320, 150, 100, MapExtension.AE.UI.Window)
	MapExtension.Menu.Options.window:SetVisible(false)

	MapExtension.GUI.CreateSimpleTexture(MapExtension.Menu.Options.window, 0, 0, 320, 12, 0, "img/tooltip320-top.png", "TOPLEFT")
	MapExtension.GUI.CreateSimpleTexture(MapExtension.Menu.Options.window, 0, 0, 320, 26, 0, "img/tooltip320-bottom.png", "BOTTOMLEFT")
	MapExtension.Menu.Options.background = MapExtension.GUI.CreateSimpleTexture(MapExtension.Menu.Options.window, 0, 12, 320, 112, 0, "img/tooltip320-middle.png", "TOPLEFT")
	MapExtension.GUI.CreateSimpleTexture(MapExtension.Menu.Options.background, 5, 30, 320, 5, 0, "img/tooltip-separator.png", "TOPLEFT")

	MapExtension.GUI.CreateText(MapExtension.Menu.Options.background, "TOPLEFT", 20, 5, MapExtension.Language.Options[MapExtension.AE.Language])
	MapExtension.GUI.CreateCheckbox(MapExtension.Menu.Options.background, "TOPLEFT", 13, 40, 100, MapExtension.Language.CheckVersions[MapExtension.AE.Language], MapExtension.Menu.Options.ToggleCheck, "checkVersion", MapExtensionUISettings.options.checkVersion)
	MapExtension.GUI.CreateCheckbox(MapExtension.Menu.Options.background, "TOPLEFT", 13, 70, 100, MapExtension.Language.RareMobNotification[MapExtension.AE.Language], MapExtension.Menu.Options.ToggleCheck, "rareNotification", MapExtensionUISettings.options.rareNotification)
	MapExtension.GUI.CreateCheckbox(MapExtension.Menu.Options.background, "TOPLEFT", 13, 90, 100, MapExtension.Language.FilterKilled[MapExtension.AE.Language], MapExtension.Menu.Options.ToggleCheck, "rareFilter", MapExtensionUISettings.options.rareFilter)
end

function MapExtension.Menu.Options.ToggleWindow(flag)
	if flag == nil then flag = not MapExtension.Menu.Options.window:GetVisible() end
	MapExtension.Menu.Options.window:SetVisible(flag)
end

function MapExtension.Menu.Options.ToggleCheck(ctrl, param)
	MapExtensionUISettings.options[param] = ctrl.checkbox:GetChecked()
end
